<div class="tad-hp">
  <app-content-banner [isDashboard]="false" pageName="TAD" [isTutorialRequired]="true"
    [TutorialPageName]="'tad-submission'"></app-content-banner>
  <mat-card class="tad-hp-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
        <div class="hp-left-text">
          <mat-label style="font-weight: 600;">Agency: &nbsp; </mat-label>
          {{selectedHpSite ? (selectedHpSite.agencyNo + ' - ' + selectedHpSite.agencyName) : ''}}
        </div>
        <div class="right-text">
          <mat-label style="font-weight: 600;">Site: &nbsp;</mat-label>
          {{selectedHpSite ? (selectedHpSite.siteNo + ' - ' + selectedHpSite.siteName) : ''}}
        </div>
      </div>
      <div fxLayout="row" class="header-grid">
        <ag-grid-angular #sGrid id="sGrid" style="width: 100%" class="ag-theme-balham my-grid"
          [columnDefs]="sColumnDefs" [defaultColDef]="sdefaultColDef" [rowData]="sRowData" [gridOptions]="sGridOptions"
          [frameworkComponents]="frameworkComponents" (gridReady)="onSGridReady($event)">
        </ag-grid-angular>
      </div>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight>
        <mat-tab>
          <ng-template matTabLabel>
            <span>TAD</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z0">
                <div class="table-filters-header" fxLayout="column">
                  <div fxLayout="row" fxLayoutAlign="start">
                    <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                      <!-- <span class="video-tutorial"><app-tutorial pageName="tad-submission"></app-tutorial></span> -->
                      <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">
                        settings_backup_restore
                      </mat-icon>
                      <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
                    </div>
                  </div>
                </div>
                <ag-grid-angular #tadGrid id="tadGrid" style="width: 100%" class="ag-theme-balham my-grid"
                  [columnDefs]="tadColumnDefs" [defaultColDef]="defaultColDef" [rowData]="tadRowData"
                  [animateRows]="true" [gridOptions]="tadGridOptions" [frameworkComponents]="frameworkComponents"
                  (gridReady)="onTadGridReady($event)">
                </ag-grid-angular>
                <div class="foot-notes">
                  <p><b>*D </b> (Discrepancies) - Client's Eligibility Does Not Match Unit Profile</p>
                  <p><b>[2] P </b>indicates Priority Placement for NY/NYIII Housing based on high-service utilization.
                  </p>
                  <p><b>[3] </b> Once approved and placed for Primary Service Contract Type so included in the Client
                    count.</p>
                  <p><b>[4] </b> Moved in after the Application Approval Period ended Client is not included in the
                    Count.</p>
                  <p><b>[5] P </b> indicates Priority Placement for Medicaid Redesign Team (MRT).</p>
                  <p><b>*NYNY </b> Ineligible.</p>
                  <span *ngIf="selectedHpSite.agencyNo && selectedHpSite.siteNo">
                    <span *ngIf="(selectedHpSite.agencyNo=='9022' && selectedHpSite.siteNo=='010') ||
                                  (selectedHpSite.agencyNo=='9022' && selectedHpSite.siteNo=='009') ||
                                  (selectedHpSite.agencyNo=='1066' && selectedHpSite.siteNo=='008') ||
                                  (selectedHpSite.agencyNo=='6179' && selectedHpSite.siteNo=='013')">
                      <p><b>+ </b> Preexisting clients grandfathered into NY/NY III pop E Site, SO included in NY/NY III
                        client Count </p>
                      <p><b>+ </b> Preexisting clients grandfathered into NY/NY III pop F Site, SO included in NY/NY III
                        client Count </p>
                    </span>
                  </span>
                </div>
              </div>
              <div fxLayout="column" class="tad-consent">
                <div fxLayout="row">
                  <!-- <mat-checkbox class="consent-margin" formControlName="isConsentCtrl" -->
                  <mat-checkbox class="consent-margin" (change)="onIsTadConsentCheckChange($event)">
                  </mat-checkbox>
                  <span class="consent-text">
                    I verify that to the best of my knowledge, the housing referral and placement information I have
                    entered in
                    this system is accurate and complete.
                    I understand that HRA reserves the right to audit this data and that I and/or my organization may be
                    held
                    liable for incorrect or fraudulent data
                  </span>
                </div>
                <div fxLayout="row" class="verifier">
                  <div fxFlex="auto">
                    <mat-label>Verified By: &nbsp; </mat-label>
                    {{isTadConsent && currentUser ? (currentUser.firstName + ' ' + currentUser.lastName) : ''}}
                  </div>
                  <div fxFlex="auto">
                    <mat-label>Date Verified: &nbsp;</mat-label>
                    {{isTadConsent  && currentUser ? (currentDate | date:'MM/dd/yyyy') : ''}}
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
  <app-nav-footer [isSaveRequired]="false" [isExitRequired]="true" (Exitbtn)="onExitClick()"
    [isSubmitRequired]="isTadConsent" (Submitbtn)="onSubmitClick()" [isPreviousRequired]="true"
    (Previousbtn)="PreviousTadPage()" [isNextRequired]="false"></app-nav-footer>
</div>